# %%global prever b3

Name:           python3-coverage
Summary:        Code coverage testing module for Python 3
Version:        4.0.3
Release:        4%{?dist}
# jquery(MIT):
#  coverage/htmlfiles/jquery.min.js
# MIT or GPL:
#  coverage/htmlfiles/jquery.debounce.min.js
#  coverage/htmlfiles/jquery.hotkeys.js
#  coverage/htmlfiles/jquery.isonscreen.js
License:        ASL 2.0 and MIT and (MIT or GPL)
URL:            http://coverage.readthedocs.org/en/latest/
Source0:        http://pypi.python.org/packages/source/c/coverage/coverage-%{version}%{?prever}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For docs - we're missing sphinxcontrib.spelling though
#BuildRequires:  python-sphinx_rtd_theme
Provides:       bundled(js-jquery) = 1.11.1
Provides:       bundled(js-jquery-debounce) = 1.1
Provides:       bundled(js-jquery-hotkeys) = 0.8
Provides:       bundled(js-jquery-isonscreen) = 1.2.0
Provides:       bundled(js-jquery-tablesorter)

%description
Coverage.py is a Python 3 module that measures code coverage during Python 
execution. It uses the code analysis tools and tracing hooks provided in the 
Python standard library to determine which lines are executable, and which 
have been executed.


%prep
%setup -q -n coverage-%{version}%{?prever}

find . -type f -exec chmod 0644 \{\} \;
sed -i 's/\r//g' README.rst


%build
%{__python3} setup.py build
#make dochtml


%install
%{__python3} setup.py install -O1 --single-version-externally-managed --skip-build --root=$RPM_BUILD_ROOT
rm %{buildroot}/%{_bindir}/coverage


%files
%doc AUTHORS.txt CHANGES.rst howto.txt README.rst TODO.txt doc/*.rst LICENSE.txt NOTICE.txt
%{_bindir}/coverage3
%{_bindir}/coverage-%{python3_version}
%{python3_sitearch}/coverage/
%{python3_sitearch}/coverage*.egg-info/


%changelog
* Mon Oct 17 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 4.0.3-4
- Rebuild for Rutgers CentOS 6
- Remove python3_pkgversion subpackage 

* Wed Jan 13 2016 Orion Poplawski <orion@cora.nwra.com> - 4.0.3-3
- Note and update license
- Note bundled jquery libraries

* Wed Jan 13 2016 Orion Poplawski <orion@cora.nwra.com> - 4.0.3-2
- Fix and install licenses
- Install docs

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 4.0.3-1
- Initial EPEL7 package
